Subject: Re: [PATCH] Teach git submodule update to use distributed repositories

From: Jakub Narebski <[email-masked]>
Date: Fri, 18 Jul 2008 11:07:17 +0200

Junio C Hamano wrote:

> [...] It is understandable that you would
> want to script something that recurses into the submodules that you have
> checked out (or submodules that Fred wants you to look at), do the
> equivalent of "git fetch ../fred" you did at the toplevel to automate that
> step, but I very much agree with Pasky here in that it feels very wrong to
> hijack "submodule update" for it.

There were two proposals how to deal with fetching all submodules:
(a) git-submodule recursing into submodules, IIRC even with some
implementation (b) new "git submodule fetch" command.

-- 
Jakub Narebski
Poland